<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black">
  <title>Imp Switch Demo</title>
  <link rel="stylesheet" href="css/jquery.mobile-1.3.1.min.css">
  <!-- jQuery and jQuery Mobile -->
  <script src="js/jquery-1.9.1.min.js"></script>
  <script src="js/jquery.mobile-1.3.1.min.js"></script>
</head>
<style>
.ui-btn-right{
float:right !important;
margin:5px !important;
}
.ui-btn-left{
margin:5px !important;
}
.switch{
margin-left:5px !important;
}
</style>
<body>
<!-- Home -->
<div data-role="page" data-theme="a" id="page1">

<div data-role="header" data-theme="a" id="logo">
 <h2>Imp Switch Demo</h2>
</div>		

<div data-role="fieldset" data-theme="a" id="top1">
        <a data-role="button" id="9" class="ui-btn-left">
            &nbsp; Reset Lights &nbsp;
        </a>
</div>		
 		
		<div id="switches">
        <div data-role="fieldcontain" class="switch">
		<label for="toggleswitch1" style="float:right; padding:5px 30px 0px 0px; font-size:20px;">
                Switch 1
            </label>
            <select name="toggleswitch1" id="1" data-theme="a" data-role="slider">
                <option value="off">
                    Off
                </option>
                <option value="on">
                    On
                </option>
            </select>
        </div>
        <div data-role="fieldcontain" class="switch">
		<label for="toggleswitch1" style="float:right; padding:5px 30px 0px 0px; font-size:20px;">
                Switch 2
            </label>
            <select name="toggleswitch2" id="2" data-theme="a" data-role="slider">
                <option value="off">
                    Off
                </option>
                <option value="on">
                    On
                </option>
            </select>
        </div>
        <div data-role="fieldcontain" class="switch">
		<label for="toggleswitch1" style="float:right; padding:5px 30px 0px 0px; font-size:20px;">
                Switch 3
            </label>
            <select name="toggleswitch3" id="3" data-theme="a" data-role="slider">
                <option value="off">
                    Off
                </option>
                <option value="on">
                    On
                </option>
            </select>
        </div>
        <div data-role="fieldcontain" class="switch">
		<label for="toggleswitch1" style="float:right; padding:5px 30px 0px 0px; font-size:20px;">
                Switch 4
            </label>
            <select name="toggleswitch4" id="4" data-theme="a" data-role="slider">
                <option value="off">
                    Off
                </option>
                <option value="on">
                    On
                </option>
            </select>
        </div>
        <div data-role="fieldcontain" class="switch">
		<label for="toggleswitch1" style="float:right; padding:5px 30px 0px 0px; font-size:20px;">
                Switch 5
            </label>
            <select name="toggleswitch5" id="5" data-theme="a" data-role="slider">
                <option value="off">
                    Off
                </option>
                <option value="on">
                    On
                </option>
            </select>
        </div>
        <div data-role="fieldcontain" class="switch">
		<label for="toggleswitch1" style="float:right; padding:5px 30px 0px 0px; font-size:20px;">
                Switch 6
            </label>
            <select name="toggleswitch6" id="6" data-theme="a" data-role="slider">
                <option value="off">
                    Off
                </option>
                <option value="on">
                    On
                </option>
            </select>
        </div>
        <div data-role="fieldcontain" class="switch">
		<label for="toggleswitch1" style="float:right; padding:5px 30px 0px 0px; font-size:20px;">
                Switch 7
            </label>
            <select name="toggleswitch7" id="7" data-theme="a" data-role="slider">
                <option value="off">
                    Off
                </option>
                <option value="on">
                    On
                </option>
            </select>
        </div>
        <div data-role="fieldcontain" class="switch">
		<label for="toggleswitch1" style="float:right; padding:5px 30px 0px 0px; font-size:20px;">
                Switch 8
            </label>
            <select name="toggleswitch8" id="8" data-theme="a" data-role="slider">
                <option value="off">
                    Off
                </option>
                <option value="on">
                    On
                </option>
            </select>
        </div>
</div>

<script type="text/javascript">

// Individual Slide Buttons Pressed 
$('#1').change(function(){
 $.post("send.php", { data: "01" } );
    });
$('#2').change(function(){
 $.post("send.php", { data: "02" } );
    });
$('#3').change(function(){
 $.post("send.php", { data: "04" } );
    });
$('#4').change(function(){
 $.post("send.php", { data: "08" } );
    });
$('#5').change(function(){
 $.post("send.php", { data: "10" } );
    });
$('#6').change(function(){
 $.post("send.php", { data: "20" } );
    });
$('#7').change(function(){
 $.post("send.php", { data: "40" } );
    });
$('#8').change(function(){
 $.post("send.php", { data: "80" } );
    });

// Reset All Lights
$('#9').tap(function(){
 $.post("send.php", { data: "00" } );
 $('#1').val("off").slider('refresh');
 $('#2').val("off").slider('refresh');
 $('#3').val("off").slider('refresh');
 $('#4').val("off").slider('refresh');
 $('#5').val("off").slider('refresh');
 $('#6').val("off").slider('refresh');
 $('#7').val("off").slider('refresh');
 $('#8').val("off").slider('refresh');
});

// Initial Opening
$(document).ready(function(){
$.post("send.php", { data: "00" } );
$('#1').val("off").slider('refresh');
$('#2').val("off").slider('refresh');
$('#3').val("off").slider('refresh');
$('#4').val("off").slider('refresh');
$('#5').val("off").slider('refresh');
$('#6').val("off").slider('refresh');
$('#7').val("off").slider('refresh');
$('#8').val("off").slider('refresh');
});


</script>

        <div data-theme="a" data-role="footer">
		<h1> &nbsp; </h1>
        </div>
		
    </div>
</body>
</html>
